/* Copyright (c) 2017 timothyjager
   JBC-Soldering-Controller
   MIT License. See LICENSE file for details.

 * \brief   Handles user input in the JBC soldering station.
 * \author  Kaloyan Dimitrov  www.kae-systems.com
 * \date    13 mar 2019

*/


//----------------Main Loop------------------------
void loop(void)
{
    bool  updateDisplayRequest_0 = false;
    bool  updateDisplayRequest_1 = false;

    CL_RefreshButtonPhases();
    CL_ButtonPowerTask();
    CL_ButtonCradleTask( &updateDisplayRequest_0 );
    CL_RotaryEncoderTask( &updateDisplayRequest_1 );
    CL_TipTemperatureTrackingTask();
 
    ProcessSerialComm();
    updateDisplay( updateDisplayRequest_0 | updateDisplayRequest_1 );
    LED_Task();
}
